<template>
  <QuestionnaireDetail
    ref="questionnaireDetailRef"
    :disabled="true"
  ></QuestionnaireDetail>
</template>

<script setup>
import { ref, onMounted } from "vue";
import { useRoute } from "vue-router";
import QuestionnaireDetail from "@/components/QuestionnaireDetail.vue";

const route = useRoute();
const questionnaireDetailRef = ref();
onMounted(() => {
  questionnaireDetailRef.value.getQuestionDetail(route.query.id);
});
</script>
<style scoped lang="scss"></style>
